listener.c File Reference
`#include "config.h"`
`#include <stdlib.h>`
`#include "log.h"`
`#include "wire/listener.h"`

Go to the source code of this file.

## Functions

listener_type * | listener_create ()
interface_type * | listener_push (listener_type *listener, char *address, int family, const char *port)
void | interface_cleanup (interface_type *i)
void | listener_cleanup (listener_type *listener)

## Function Documentation

## interface_cleanup()

void interface_cleanup | ( | interface_type * | i | ) |

Clean up interface.

Definition at line 111 of file listener.c.

References interface_struct::address, and interface_struct::port.

Referenced by listener_cleanup().

## listener_cleanup()

void listener_cleanup | ( | listener_type * | listener | ) |

Clean up listener.

Definition at line 126 of file listener.c.

References listener_struct::count, interface_cleanup(), and listener_struct::interfaces.

Referenced by engine_config_cleanup().

## listener_create()

listener_type * listener_create | ( | void |  | ) |

Create listener.

Definition at line 45 of file listener.c.

References listener_struct::count, and listener_struct::interfaces.

Referenced by parse_conf_listener().

## listener_push()

interface_type * listener_push | ( | listener_type * | listener,
|  | char * | address,
|  | int | family,
|  | const char * | port )

Push an interface to the listener.

Definition at line 60 of file listener.c.

References acl_addr_storage::addr, interface_struct::addr, acl_addr_storage::addr6, interface_struct::address, listener_struct::count, interface_struct::family, listener_struct::interfaces, and interface_struct::port.

Referenced by parse_conf_listener().